Bug 427714 - X fails after update
X fails after update
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
8
powerpc Linux
low Severity low
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-06 20:21 EST by John M Phillips
Modified: 2009-01-09 02:34 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:34:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Config file for xorg that works with original but fails after update (1.06 KB, text/plain)
2008-01-06 20:21 EST, John M Phillips
no flags Details
xorg log after update, and no xorg.conf (18.83 KB, text/plain)
2008-01-10 22:57 EST, John M Phillips
no flags Details
Xorg log after update with old xorg.conf (39.46 KB, text/plain)
2008-01-10 23:00 EST, John M Phillips
no flags Details
xorg log after restoring xorg with xorg.conf (39.95 KB, text/plain)
2008-01-10 23:03 EST, John M Phillips
no flags Details

  None (edit)
Description John M Phillips 2008-01-06 20:21:30 EST
Description of problem:
The updates to xorg-x11-drv-ati, xorg-x11-server, and xorg-x11-server-utils
appears to break the X server on a Mac Powerbook(Titanium) with the 1158x768
display.

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati FEDORA-2007-4081
xorg-x11-server FEDORA-2007-4508
xorg-x11-server-utils FEDORA-2007-4014

How reproducible: 100 %


Steps to Reproduce:
1. Installed Fedora 8 from dvd, X server works once xorg.conf is set manually.

2. Accepted automated update for xorg-x11-drv-ati, xorg-x11-server and
xorg-x11-server-utils, rebooted and X fails (blank screen).  Using startx to
manually start server from init level 3 also fails and when X dies, text on all
virtual consoles is corrupted.

3. Re-installed the original 3 rpm files from the dvd, and X works again.  All
other updates are installed.
  
Actual results:


Expected results:


Additional info:
Comment 1 John M Phillips 2008-01-06 20:21:31 EST
Created attachment 290925 [details]
Config file for xorg that works with original but fails after update
Comment 2 Matěj Cepl 2008-01-10 07:40:45 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server log file (/var/log/Xorg.*.log) to the bug report as
individual uncompressed file attachment using the bugzilla file attachment link
below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 John M Phillips 2008-01-10 22:57:09 EST
Created attachment 291349 [details]
xorg log after update, and no xorg.conf

Rebooted after applying the update to xorg-x11-drv-ati, xorg-x11-server and
xorg-x11-server-utils.	The X server fails to start and system drops into a
text only mode.
Comment 4 John M Phillips 2008-01-10 23:00:48 EST
Created attachment 291350 [details]
Xorg log after update with old xorg.conf

Still using the updates but with the hand configured xorg.conf.  X now thinks
that it has successfully started, even hear the single beep for the gdm login
screen, but physical screen is entirely blank (no cursor on mouse moves).
Comment 5 John M Phillips 2008-01-10 23:03:50 EST
Created attachment 291351 [details]
xorg log after restoring xorg with xorg.conf

This last log is after I have restored the original xorg-x11-drv-ati,
xorg-x11-server and xorg-x11-server-util rpm files.  X now runs and displays
correctly on the screen.
Comment 6 Peter Lemenkov 2008-01-19 18:09:50 EST
Is it the same problem as described in bug #407981 ?
Comment 7 John M Phillips 2008-01-19 20:06:48 EST
No, I do not think so.  Repeatedly tried switching from text to graphic screen
and never get output on the laptops screen. Also, on killing X all of the text
screens become corrupted; that is mall formed characters.
Comment 8 Bug Zapper 2008-11-26 04:19:07 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-01-09 02:34:30 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.